package com.yunzhi.marketing.xlk.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 渠道报备客户表 
 * </p>
 *
 * @author jobob
 * @since 2021-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_channel_customer")
public class ChannelCustomerDTO implements Serializable {

    /**
     * 主键
     */
    private String channelCustomerId;

    /**
     * 审核结果 pass 通过  fail 失败
     */
    private String auditResult;

    /**
     * 置业顾问
     */
    private String realtyConsultant;

}
